> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getsolum.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove a patient's external ID for a given type



## OpenAPI

````yaml https://api.getsolum.com/openapi.json delete /v1/patients/{patient_id}/external-ids/{external_id_type_id}
openapi: 3.1.0
info:
  title: Solum Health API
  description: '## Solum Health Backend API '
  version: 1.0.0
servers: []
security: []
paths:
  /v1/patients/{patient_id}/external-ids/{external_id_type_id}:
    delete:
      tags:
        - Patient External IDs
      summary: Remove a patient's external ID for a given type
      operationId: >-
        delete_patient_external_id_v1_patients__patient_id__external_ids__external_id_type_id__delete
      parameters:
        - name: patient_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: Patient UUID
            title: Patient Id
          description: Patient UUID
        - name: external_id_type_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: External ID type UUID
            title: External Id Type Id
          description: External ID type UUID
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                    example: validation_error
                  code:
                    type: string
                    example: invalid_parameter
                  message:
                    type: string
                    example: Field validation failed
                  param:
                    type: string
                    example: phone_number
                required:
                  - type
                  - code
                  - message
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    HTTPBearer:
      type: http
      scheme: bearer

````